unit Uestamp4;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComCtrls, StdCtrls, Buttons, ExtCtrls;

type
  TForm4 = class(TForm)
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    Label1: TLabel;
    Edit1: TEdit;
    UpdownMix: TUpDown;
    RadioStyle: TRadioGroup;
    GroupBox1: TGroupBox;
    RadioMiroir: TRadioGroup;
    Edit2: TEdit;
    UpDownZoom: TUpDown;
    GroupBox2: TGroupBox;
    Label5: TLabel;
    Edit3: TEdit;
    UpDownOffsetx: TUpDown;
    Edit4: TEdit;
    UpDownOffsety: TUpDown;
    Label6: TLabel;
    RadioDimension: TRadioGroup;
    Panel1: TPanel;
    GroupBox3: TGroupBox;
    Label3: TLabel;
    Label2: TLabel;
    PanColmask: TPanel;
    Edit5: TEdit;
    UpDownTolere: TUpDown;
    Label4: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    Label7: TLabel;
    Label11: TLabel;
    PaintBox1: TPaintBox;
    procedure RadioStyleClick(Sender: TObject);
    procedure RadioDimensionClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Image1MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure Image1MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Image1MouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure PaintBox1Paint(Sender: TObject);
  public
    { Dclarations publiques }
  end;

var
  Form4 : TForm4;


implementation

{$R *.DFM}
Uses Uestamp1;

var
  imageclick : boolean;

procedure TForm4.RadioStyleClick(Sender: TObject);
begin
  imageclick := false;
  Case Radiostyle.itemindex of
  0 : begin
      groupbox1.visible := true;
      groupbox2.visible := false;
      groupbox3.visible := false;
      end;
  1 : begin
      groupbox1.visible := true;
      groupbox2.visible := false;
      groupbox3.visible := true;
      imageclick := true;
      end;
  2 : begin
      groupbox1.visible := false;
      groupbox2.visible := true;
      groupbox3.visible := false;
     end;
  end;
end;

procedure TForm4.RadioDimensionClick(Sender: TObject);
begin
  if radiodimension.itemindex = 0 then
  begin
    edit2.visible := true;
    updownzoom.visible := true;
  end
  else
  begin
    edit2.visible := false;
    updownzoom.visible := false;
  end;
end;

procedure TForm4.FormCreate(Sender: TObject);
begin
  imageclick := false;
  paintbox1.cursor := crpipette;
end;

procedure TForm4.Image1MouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
var
  acolo : Tcolor;
begin
  if not imageclick then exit;
  acolo := paintbox1.canvas.pixels[x, y];
  label4.caption := 'R = '+inttostr(GetRValue( ColorToRGB(acolo)));
  label8.caption := 'G = '+inttostr(GetGValue( ColorToRGB(acolo)));
  label9.caption := 'B = '+inttostr(GetBValue( ColorToRGB(acolo)));
end;

procedure TForm4.Image1MouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
var
  acolo : Tcolor;
begin
  if not imageclick then exit;
  acolo := paintbox1.canvas.pixels[x, y];
  label4.caption := 'R = '+inttostr(GetRValue( ColorToRGB(acolo)));
  label8.caption := 'G = '+inttostr(GetGValue( ColorToRGB(acolo)));
  label9.caption := 'B = '+inttostr(GetBValue( ColorToRGB(acolo)));
end;

procedure TForm4.Image1MouseUp(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
var
  acolo : Tcolor;
begin
 if not imageclick then exit;
  acolo := paintbox1.canvas.pixels[x, y];
  label4.caption := 'R = '+inttostr(GetRValue( ColorToRGB(acolo)));
  label8.caption := 'G = '+inttostr(GetGValue( ColorToRGB(acolo)));
  label9.caption := 'B = '+inttostr(GetBValue( ColorToRGB(acolo)));
  pancolmask.color := acolo;
end;

procedure TForm4.PaintBox1Paint(Sender: TObject);
begin
  paintbox1.canvas.stretchdraw(Rbmp0,bmp0);
end;

end.
